//
//  ItemMovieView.swift
//  Jel
//
//  Created by zerocool on 12/26/23.
//

import SwiftUI
import JellyfinKit

struct ItemMovieView: View {
  var item: BaseItemDto
  
  @State var pageScrolled: Bool = false
  
  var body: some View {
    VStack {
      ItemHeaderView(item: item)
        .foregroundStyle(.white)
        .background {
          GeometryReader {geo in
            EmptyView()
              .onChange(of: geo.frame(in: .global).minY) {
                let minY = geo.frame(in: .global).minY
                
                pageScrolled = minY < 0
              }
          }
        }
      
      ItemMediaView(item: item)
        .padding()
      
      ItemGenresView(item: item)
        .padding()
      
      ItemPeopleView(item: item)
        .padding()
    }
    .navigationBarTitleDisplayMode(.inline)
    .navigationTitle(item.name ?? "Untitled")
    .toolbarRole(.editor)
    .toolbar {
      ToolbarItem(placement: .principal) {
        Text(pageScrolled ? item.name ?? "Untitled" : "")
          .bold()
      }
    }
    .toolbarBackground(pageScrolled ? .visible : .hidden)
  }
}

//#Preview {
//    ItemMovieView()
//}
